Bug 23392 - * Assertion at mini-codegen.c:2307, condition `sp < 8' not met
Summary: * Assertion at mini-codegen.c:2307, condition `sp < 8' not met
Status: REOPENED
Alias: None
Product: Runtime
Classification: Mono
Component: JIT (show other bugs)
Version: 3.8.0
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-09-25 23:34 UTC by w.a.rummler
Modified: 2014-09-29 01:07 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Full text of the Application Output window when encountering this assertion message (8.36 KB, text/plain)
2014-09-25 23:34 UTC, w.a.rummler
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 23392 on GitHub or Developer Community if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: GitHub Markdown or Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
REOPENED

Description w.a.rummler 2014-09-25 23:34:36 UTC
Created attachment 8199 [details]
Full text of the Application Output window when encountering this assertion message

I'm using Mono 3.2.8 under Lubuntu 14.04 on a two-core PC.

I'm running the Jace.Benchmark project from the Jace.NET library's latest dev-branch commit:

https://github.com/pieterderycke/Jace/commit/7318fc6581dd86fdb90ce01060e40d2ac34eaf37

The following Mono assertion message is always emitted just after the parallel threads are spun up in the "Compiled Mode" sub-section of the "Random Generated Functions" section of the benchmark:

* Assertion at mini-codegen.c:2307, condition `sp < 8' not met

The full text of the Application Output window when running this under MonoDevelop is attached.

To reproduce:

1. Download the above-linked commit.
2. Open the solution in MonoDevelop.
3. Set Jace.Benchmark as the startup project.
4. Build and debug the solution.
5. Wait for the benchmark to run through some preliminaries (about a minute), then observe the assertion message and low-level stacktrace output in the Application Output window.

(Though the repro steps are simple enough, apologies in advance for not smallening this further. I'm not a contributor to Jace.NET and didn't have the time (at the moment) to investigate more closely. I'll follow-up when I can, but figured filing this now would be better than never filing it at all.)
Comment 1 w.a.rummler 2014-09-25 23:38:27 UTC
I should add that no similar problem occurs using the .NET Framework 4.5.1 (at least under my observation and limited testing).
Comment 2 Zoltan Varga 2014-09-28 19:48:09 UTC
Fixed in mono master a32e2c7fe6ffabcb6b06e4ab28e3ea1a58f9c6a3.
Comment 3 Zoltan Varga 2014-09-29 01:07:36 UTC
Reopen, the fix had to be reverted.